<?php namespace Phpcmf\Model\Comment;

// 权限验证
class Auth_mform extends \Phpcmf\Model
{

    // 判断底部链接的显示权限
    public function is_bottom_auth($mid) {


        return 1;
    }

    // 判断右侧链接的显示权限
    public function is_link_auth($mid) {

        if (\Phpcmf\Service::C()->get_cache('app-comment-'.SITE_ID, 'mform', $mid.'-'.\Phpcmf\Service::C()->form['table'])) {
            return 1;
        }

        return 0;
    }

    // 动态link名称
    public function get_name($mid) {
        return dr_comment_cname(\Phpcmf\Service::C()->get_cache('app-comment-'.SITE_ID, 'mform', $mid.'-'.\Phpcmf\Service::C()->form['table'], 'cname'));
    }
}